• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

Creating a 64-bit plugin for Adobe acrobat

Community Beginner ,
Sep 24, 2021 Sep 24, 2021

Copy link to clipboard

Copied

I added a new menu item in the BasicPlugin in the latest SDK: Acrobat_DC_SDK_Windows_2021_v3\Adobe\Acrobat DC SDK\Version 1\PluginSupport\Samples\BasicPlugin. It only works in the 32bit Adobe Acrobat. Are there headers files for the 64bit Acrobat? How to add the 64-bit configuration to plugin project? Many thanks.

TOPICS
Acrobat SDK and JavaScript

Views

662

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Expert , Sep 25, 2021 Sep 25, 2021

Likes

Translate

Translate
Community Expert ,
Sep 25, 2021 Sep 25, 2021

Copy link to clipboard

Copied

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 15, 2021 Oct 15, 2021

Copy link to clipboard

Copied

The above link to https://opensource.adobe.com/dc-acrobat-sdk-docs/acrobatsdk/64bitdev.html eventually takes you to the https://developer.adobe.com/console/servicesandapis page to download the Adobe Acrobat SDK.

This is not the latest zip - so it seems.

JordanWalters_0-1634296337267.png

The downloaded zip contains the folder (for Plugins) Acrobat_DC_SDK_Windows_2021_v3\Adobe\Acrobat DC SDK\Version 1\PluginSupport, but not the Version 3 as I would expect.  Nor are there any 64-bit specific headers, just Win32.

So, where, or where, can we download the LATEST Acrobat_DC_SDK files/installer?

Br

Jordan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Oct 15, 2021 Oct 15, 2021

Copy link to clipboard

Copied

You seem to be assuming things rather than testing. Why would there be 64-bit specific headers? The plug-in has a single build with x86 and x64 targets, with a single set of headers. Have you checked the projects included with that SDK?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 15, 2021 Oct 15, 2021

Copy link to clipboard

Copied

I wasn't assuming the existence of 64-bit headers.

In the provided link https://opensource.adobe.com/dc-acrobat-sdk-docs/acrobatsdk/64bitdev.html, item 2 of "Upgrading 32-bit plugins to 64-bit"states: 

 

"2. Replace headers files with header files present inside SDKPluginSupport of current Windows 64-bit Acrobat SDK Pre-Release package"

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Oct 17, 2021 Oct 17, 2021

Copy link to clipboard

Copied

I think the author of that text was thinking of this as the new 64-bit SDK but it supports both 32-bit and 64-bit Windows. The advice "replace header files" surely means "change compilation settings to pick up the revised headers".

 

I suggest, as with anyone struggling to get their plug-in to build or work, starting with one of the samples. Getting the samples to build can be a major uphill struggle, but it excludes any issues in your code, and the experience gained is often enough to make major progress with your own code.  One tip: be sure you are using the correct version of Visual Studio for the API release. Yes, it's sometimes possible to build with other versions of Visual Studio, but this excludes many weird incompatibilities that may need sophisticated code changes to the Adobe headers - really don't want to go there if you can avoid it.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Oct 17, 2021 Oct 17, 2021

Copy link to clipboard

Copied

Rereading your question, I see you ARE working with a sample, sorry.  So, new questions.

 

1. Are you working with the sample plug-in project in the new SDK, or trying to adapt an existing project derived from a sample in the old SDK?

 

2. Are you aware (not everyone is) that a 64-bit plug-in and 32-bit plug-in may have the same name but must be separately built - there will be two different, non-interchangeable, plug-in files.

 

3. What Visual Studio version do you use?

 

4. You say it "doesn't work". This is a bit broad. What aspect doesn't work? Doesn't load at all? Crashes Acrobat? Loads but doesn't have the new menu item? Has the menu item but selecting it does nothing? Selecting it crashes? Etc/ Etc. Details please.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

Thank you for your response.

  1.  I am trying the BasicPlugin from the Samples folder of the SDK. I built the Debug_x64 configuration.
  2.  I am aware that a plugin built for 64-bit or 32-bit may (and does in the case of Samples/BasicPlugin) have the same name. I am definitely trying to load the 64-bit BasicPlugin into 64-bit Acrobat Reader.JordanWalters_1-1634554444326.png

     

  3.  Using Microsoft Visual Studio Professional 2019, Version 16.11.5.
  4.  The BasicPlugin causes Adobe Acrobat to display the following message and close. JordanWalters_0-1634554308806.png

    I can confirm that BasicPlugin.api is the cause of this issue because if I delete the api from the C:\Program Files\Adobe\Acrobat DC\Acrobat\plug_ins folder, Adobe Acrobat starts up no problem.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

Does you use Adobe Acrobat or Acrobat Reader?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

The message clearly shows you are trying to load an Acrobat plug-in in Reader. You must use Acrobat for development.  Now, it gets complicated in 64 bit because it may run as Reader until you enable the license. 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

I am indeed using Acrobat Reader.....but.....

We have already registered our own plugin (32-bit) which has been approved by Adobe, and we have been issued a Certificate (rikla.rc file) and KeyPair (keypair.key). I have used SignPlugin.exe to enable the BasicPlugin.api to be Reader-enabled - successfully.

JordanWalters_0-1634559237393.png

But signing BasicPlugin still causes it to fail to load in 64-bit Reader.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

Which BasicPlugin do you sign? 32-bit, 64-bit or both?
Anyway, you should focus on getting the plug-in to work in Acrobat. You may need a new key for 64-bit.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

Thank you for all your quick responses.

I signed the 64-bit Basic plugin.

Our own plugin already works in 32-bit Reader, and as far as I am aware from our own QA department, 32 and 64-bit full Acrobat (when fully licenced).

You could be right about needing new keys/certificate for our 64-bit plugin.

I shall try that as my next avenue.

Do you know an email address for Adobe that deals with that. (The 32-bit key/certificate were acquired a few years ago and before I took over maintenenace of our plugin product.)

 

Jordan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

Have you used the 64 bit version of MakeKeys.exe and SignPlugin.exe ?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

Hello Bernd,

No to both.

I've not heard of MakeKeys - I assumed that our .key and .rc file were generated FOR us by Adobe.....Unfortunately the developer who originally dealt with this is long gone.

Also, I didn't know there was a 64-bit SignPlugin.exe.

Who should I speak to in Adobe to sort this out.

Br

Jordan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Oct 18, 2021 Oct 18, 2021

Copy link to clipboard

Copied

LATEST

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines